netatalk: _cnid_db Struct Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
_cnid_db Struct Reference

`#include <cnid.h>`

## Data Fields
uint32_t | cnid_db_flags
struct vol * | cnid_db_vol
void * | cnid_db_private
cnid_t(* | cnid_add )(struct _cnid_db *cdb, const struct stat *st, cnid_t did, const char *name, size_t, cnid_t hint)
int(* | cnid_delete )(struct _cnid_db *cdb, cnid_t id)
cnid_t(* | cnid_get )(struct _cnid_db *cdb, cnid_t did, const char *name, size_t)
cnid_t(* | cnid_lookup )(struct _cnid_db *cdb, const struct stat *st, cnid_t did, const char *name, size_t)
cnid_t(* | cnid_nextid )(struct _cnid_db *cdb)
char *(* | cnid_resolve )(struct _cnid_db *cdb, cnid_t *id, void *buffer, size_t len)
int(* | cnid_update )(struct _cnid_db *cdb, cnid_t id, const struct stat *st, cnid_t did, const char *name, size_t len)
void(* | cnid_close )(struct _cnid_db *cdb)
int(* | cnid_getstamp )(struct _cnid_db *cdb, void *buffer, const size_t len)
cnid_t(* | cnid_rebuild_add )(struct _cnid_db *, const struct stat *, cnid_t, const char *, size_t, cnid_t)
int(* | cnid_find )(struct _cnid_db *cdb, const char *name, size_t namelen, void *buffer, size_t buflen, bool *more_available)
int(* | cnid_wipe )(struct _cnid_db *cdb)

## Detailed Description

This is instance of CNID database object.

## Field Documentation

## ◆ cnid_add

cnid_t(* _cnid_db::cnid_add) (struct _cnid_db *cdb, const struct stat *st, cnid_t did, const char *name, size_t, cnid_t hint)

## ◆ cnid_close

void(* _cnid_db::cnid_close) (struct _cnid_db *cdb)

## ◆ cnid_db_flags

uint32_t _cnid_db::cnid_db_flags

## ◆ cnid_db_private

void* _cnid_db::cnid_db_private

## ◆ cnid_db_vol

struct vol* _cnid_db::cnid_db_vol

## ◆ cnid_delete

int(* _cnid_db::cnid_delete) (struct _cnid_db *cdb, cnid_t id)

## ◆ cnid_find

int(* _cnid_db::cnid_find) (struct _cnid_db *cdb, const char *name, size_t namelen, void *buffer, size_t buflen, bool *more_available)

## ◆ cnid_get

cnid_t(* _cnid_db::cnid_get) (struct _cnid_db *cdb, cnid_t did, const char *name, size_t)

## ◆ cnid_getstamp

int(* _cnid_db::cnid_getstamp) (struct _cnid_db *cdb, void *buffer, const size_t len)

## ◆ cnid_lookup

cnid_t(* _cnid_db::cnid_lookup) (struct _cnid_db *cdb, const struct stat *st, cnid_t did, const char *name, size_t)

## ◆ cnid_nextid

cnid_t(* _cnid_db::cnid_nextid) (struct _cnid_db *cdb)

## ◆ cnid_rebuild_add

cnid_t(* _cnid_db::cnid_rebuild_add) (struct _cnid_db *, const struct stat *, cnid_t, const char *, size_t, cnid_t)

## ◆ cnid_resolve

char *(* _cnid_db::cnid_resolve) (struct _cnid_db *cdb, cnid_t *id, void *buffer, size_t len)

## ◆ cnid_update

int(* _cnid_db::cnid_update) (struct _cnid_db *cdb, cnid_t id, const struct stat *st, cnid_t did, const char *name, size_t len)

## ◆ cnid_wipe

int(* _cnid_db::cnid_wipe) (struct _cnid_db *cdb)

The documentation for this struct was generated from the following file:

- cnid.h